classification
Title: Mac DMG install missing version.plist required by bundlebuilder.py
Type: behavior Stage: resolved
Components: Installation Versions: Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: barry-scott, ned.deily, ronaldoussoren
Priority: normal Keywords:

Created on 2009-01-13 21:01 by barry-scott, last changed 2009-09-06 12:27 by ronaldoussoren. This issue is now closed.

Messages (3)
msg79774 - (view) Author: Barry Alan Scott (barry-scott) * Date: 2009-01-13 21:01
I installed mac python 2.6.1 on Mac OS X 10.5.6

I then ran my pysvn workbench kitting script that uses
bundlebuilder.py. It fails because version.plist is not installed.

Traceback (most recent call last):
  File "make_wb_bundle.py", line 91, in <module>
    myapp.build()
  File
"/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-mac/bundlebuilder.py",
line 163, in build
    self._copyFiles()
  File
"/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-mac/bundlebuilder.py",
line 218, in _copyFiles
    copy(src, dst, mkdirs=1)
  File
"/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-mac/bundlebuilder.py",
line 758, in copy
    shutil.copy2(src, dst)
  File
"/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/shutil.py",
line 99, in copy2
    copyfile(src, dst)
  File
"/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/shutil.py",
line 52, in copyfile
    fsrc = open(src, 'rb')
IOError: [Errno 2] No such file or directory:
'/Library/Frameworks/Python.framework/Versions/2.6/Resources/version.plist'
msg80040 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2009-01-17 20:00
As a workaround, you can copy the missing file from a 2.5 (or earlier) 
Python and edit it, if necessary.

sudo
cd /Library/Frameworks/Python.framework/Versions/
cp -p 2.5/Resources/version.plist 2.6/Resources/

Or look at the one in the Apple-supplied Python.
msg92307 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-09-06 12:27
This will be fixed in the next release of 2.6 and 2.7: bundlebuilder 
shouldn't have tried to copy version.plist in the first place.

The actual revisions in which this was fixed: r74684 (trunk), r74685 (2.6)
History
Date User Action Args
2009-09-06 12:27:17ronaldoussorensetstatus: open -> closed
versions: + Python 2.7
messages: + msg92307

resolution: fixed
stage: resolved
2009-04-01 17:49:46ronaldoussorensetassignee: ronaldoussoren

nosy: + ronaldoussoren
2009-01-17 20:00:26ned.deilysetnosy: + ned.deily
messages: + msg80040
2009-01-13 21:01:31barry-scottcreate